Skip to content
SENS Platform Docs

Delete one context override and expose the next fallback.

DELETE
/v1/flows/{flowId}/parameter-values/{scopeType}/{scopeId}/{parameterKey}
curl --request DELETE \
--url https://api.dev.iot-sens.schlossers.at/v1/flows/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/parameter-values/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/example \
--header 'Authorization: Bearer <token>' \
--header 'If-Match: example'
flowId
required
string format: uuid
scopeType
required
string
Allowed values: tenant device_type device
scopeId
required
string format: uuid
parameterKey
required
string
If-Match
required
string

Override deleted.

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store